<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: 構造体 MCodingInfoUTF</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li class="current"><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="classes.html"><span>データ構造索引</span></a></li>
      <li><a href="functions.html"><span>データフィールド</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>構造体 MCodingInfoUTF<br/>
<small>
[<a class="el" href="group__m17nConv.html">コード変換</a>]</small>
</h1><!-- doxytag: class="MCodingInfoUTF" -->
<p><a class="el" href="group__m17nConv.html#ggaad6093554a9b9fbee4aff963bb3b1efba52dc03931e768c13c7968dcf817c7ad7">MCODING_TYPE_UTF</a> タイプのコード系で必要な付加情報用の構造体.  
<a href="#_details">[詳細]</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>変数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMCodingInfoUTF.html#ad1a0a99c0bc1b2d78090df6824c28fe8">code_unit_bits</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMCodingInfoUTF.html#a76136aaed031c21a9d8ea4ebc32bddf4">bom</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMCodingInfoUTF.html#ac0c8e457d17f8e5e4b7e19265c7c04d4">endian</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>説明</h2>
<p><a class="el" href="group__m17nConv.html#ggaad6093554a9b9fbee4aff963bb3b1efba52dc03931e768c13c7968dcf817c7ad7">MCODING_TYPE_UTF</a> タイプのコード系で必要な付加情報用の構造体. </p>
 <hr/><h2>構造体</h2>
<a class="anchor" id="ad1a0a99c0bc1b2d78090df6824c28fe8"></a><!-- doxytag: member="MCodingInfoUTF::code_unit_bits" ref="ad1a0a99c0bc1b2d78090df6824c28fe8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMCodingInfoUTF.html#ad1a0a99c0bc1b2d78090df6824c28fe8">MCodingInfoUTF::code_unit_bits</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>コード長（ビット数）の指定。値は 8, 16, 32 のいずれか。 </p>

</div>
</div>
<a class="anchor" id="a76136aaed031c21a9d8ea4ebc32bddf4"></a><!-- doxytag: member="MCodingInfoUTF::bom" ref="a76136aaed031c21a9d8ea4ebc32bddf4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMCodingInfoUTF.html#a76136aaed031c21a9d8ea4ebc32bddf4">MCodingInfoUTF::bom</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>先頭の BOM (バイトオーダーマーク) の取り扱いを指定する。値は 0, 1, 2 のいずれかであり、それぞれの意味は以下のようになる。</p>
<p>0: デコードの際に最初の 2 バイトを調べる。もしそれが BOM であれば、エンディアンをそれで判定する。そうでなければ、メンバ <code>endian</code> に従ってエンディアンを決定する。エンコードの際には <code>endian</code> に従ったバイト列を先頭に BOM 付で生成する。</p>
<p>1: デコードの際、最初の 2 バイトを BOM として扱わず、エンディアンは <code>endian</code> で判定する。エンコードの際には、BOM を出力せず、 <code>endian</code> に応じたバイト列を生成する。</p>
<p>2: デコードの際に最初の2バイトを BOMとして扱い、それに従ってエンディアンを判定する。 エンコードの際には <code>endian</code> に応じたバイト列を先頭に BOM 付きで生成する。 </p>

</div>
</div>
<a class="anchor" id="ac0c8e457d17f8e5e4b7e19265c7c04d4"></a><!-- doxytag: member="MCodingInfoUTF::endian" ref="ac0c8e457d17f8e5e4b7e19265c7c04d4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMCodingInfoUTF.html#ac0c8e457d17f8e5e4b7e19265c7c04d4">MCodingInfoUTF::endian</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>エンディアンのタイプを指定する。値は 0 か 1 であり、0 ならばリトルエンディアン、1 ならばビッグエンディアンである。</p>
<p>&lt;code_unit_bits&gt; が 8 の場合には、この値は意味を持たない。 </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
